> ## Documentation Index
> Fetch the complete documentation index at: https://docs.phare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an incident update

> Create an incident update



## OpenAPI

````yaml post /uptime/incidents/{incidentId}/updates
openapi: 3.0.0
info:
  title: Phare
  description: >-
    Learn how to use the phare.io API. Most of the things that can be done on
    the web platform can also be achieved with the API documented on this page.
  termsOfService: https://phare.io/legal/terms-of-service
  contact:
    name: Phare
    email: support@phare.io
  version: '1.0'
servers:
  - url: https://api.phare.io
security:
  - BearerAuth: []
tags:
  - name: Users
    description: Users
  - name: Projects
    description: Projects
  - name: Alert Rules
    description: Alert Rules
  - name: Monitors
    description: Monitors
  - name: Incidents
    description: Incidents
  - name: Status Pages
    description: Status Pages
  - name: Reports
    description: Reports
  - name: Platform
    description: Platform
  - name: Integrations
    description: Integrations
paths:
  /uptime/incidents/{incidentId}/updates:
    post:
      tags:
        - Incidents
      summary: Create an incident update
      description: Create an incident update
      operationId: createUptimeIncidentUpdate
      parameters:
        - name: incidentId
          in: path
          description: ID of the incident
          required: true
          schema:
            type: integer
        - $ref: '#/components/parameters/header_project_id'
        - $ref: '#/components/parameters/header_project_slug'
      requestBody:
        description: Incident update request
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                state:
                  $ref: '#/components/schemas/Uptime.Incident.StateEnum'
                content:
                  description: Content of the incident update
                  type: string
                  example: We are investigating the issue.
                  maximum: 10000
                  minimum: 1
                published_at:
                  description: Date of publication of the incident update
                  type: string
                  format: date-time
              required:
                - state
                - content
      responses:
        '201':
          description: Success, incident update created
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    description: Incident update ID
                    type: integer
                    example: 1
                  state:
                    $ref: '#/components/schemas/Uptime.Incident.StateEnum'
                  content:
                    description: Content of the incident update
                    type: string
                    example: We are investigating the issue.
                    maximum: 10000
                    minimum: 1
                  published_at:
                    description: Date of publication of the incident update
                    type: string
                    format: date-time
                  creator:
                    description: Creator of the incident update
                    properties:
                      id:
                        description: Creator ID
                        type: integer
                        example: 1
                      type:
                        description: Creator type
                        type: string
                        example: user
                        enum:
                          - user
                          - api_key
                      label:
                        description: Creator label
                        type: string
                        example: nicolas@phare.io
                    type: object
                  created_at:
                    description: Date of creation for the entity
                    type: string
                    format: date-time
                  updated_at:
                    description: Date of last update for the entity
                    type: string
                    format: date-time
                required:
                  - state
                  - content
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '422':
          $ref: '#/components/responses/422'
components:
  parameters:
    header_project_id:
      name: X-Phare-Project-Id
      in: header
      description: A project header is required when using an organization-scoped API key.
      required: false
      schema:
        type: integer
        example: 1
    header_project_slug:
      name: X-Phare-Project-Slug
      in: header
      description: A project header is required when using an organization-scoped API key.
      required: false
      schema:
        type: string
        example: luminous-guiding-tower
  schemas:
    Uptime.Incident.StateEnum:
      type: string
      enum:
        - unknown
        - investigating
        - identified
        - monitoring
        - resolved
  responses:
    '401':
      description: Error, access unauthorized
      content:
        application/json:
          schema:
            description: Access unauthorized error schema
            properties:
              message:
                type: string
                example: Unauthorized
            type: object
    '403':
      description: Error, access forbidden
      content:
        application/json:
          schema:
            description: Access forbidden error schema
            properties:
              message:
                type: string
                example: >-
                  The platform:write permission is required to perform this
                  action.
            type: object
    '422':
      description: Error, unprocessable entity
      content:
        application/json:
          schema:
            description: Validation error schema
            properties:
              message:
                type: string
              errors:
                properties:
                  key:
                    type: array
                    items:
                      type: string
                      example: The key field is required
                type: object
            type: object
  securitySchemes:
    BearerAuth:
      type: http
      description: >-
        Use a user token to access authenticated routes. The token must be
        specified in the Authorization HTTP header with the following format
        'Authorization: Bearer <token>'.
      scheme: bearer

````